#include <bits/stdc++.h>
using namespace std;
typedef long long ll;

int main()
{
	ios::sync_with_stdio(0);cin.tie(0);
	int n ;
	cin >> n;
	int maxx(0) , a;
	bool cheker=true;
	for (int i=1;i<=n;i++)
	{
		cin >> a;
		maxx=max(a , maxx);
		if (maxx!=a)
		{
			cheker=false;
		}
	}
	if (cheker)
	{
		cout << maxx;
		return 0;
	}
	cout << maxx+maxx/2;
	return 0;
}
